<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="dev-translate" xml:lang="pt-BR">

  <info>
    <link type="guide" xref="index" group="translate"/>
    <link type="next" xref="dev-translate-setup"/>
    <revision version="0.1" date="2013-06-19" status="review"/>

    <credit type="author copyright">
      <name>Michael Hill</name>
      <email its:translate="no">mdhillca@gmail.com</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Localização para o conteúdo de seu aplicativo visível ao usuário.</desc>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Enrico Nicoletto</mal:name>
      <mal:email>liverig@gmail.com</mal:email>
      <mal:years>2009</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Rafael Fontenelle</mal:name>
      <mal:email>rafaelff@gnome.org</mal:email>
      <mal:years>2013, 2014, 2016, 2017</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Isaac Ferreira Filho</mal:name>
      <mal:email>isaacmob@riseup.net</mal:email>
      <mal:years>2018</mal:years>
    </mal:credit>
  </info>

  <title>Traduções</title>

  <links type="series" style="floatend">
    <title>Configurando traduções</title>
  </links>

  <p>Você pode tornar seu aplicativo traduzível para outros idiomas usando <app href="http://freedesktop.org/wiki/Software/intltool/">intltool</app> e <app href="http://www.gnu.org/software/gettext/manual/gettext.html">gettext</app>.</p>

  <p><app>gettext</app> é o framework para extração de mensagens de um arquivo fonte. <app>intltool</app> extrai mensagens traduzíveis de outros arquivos, tais como arquivos desktop e arquivos de interface gráfica, então mescla-os de volta nos arquivos XML e desktop com as mensagens do código-fonte.</p>

  <p>Você deveria usar <code>ngettext</code> para tradução de mensagens com plurais.</p>

  <p>Para maiores informações sobre a tradução de projetos do GNOME, consulte a página do GNOME <link href="https://wiki.gnome.org/TranslationProject/DevGuidelines">Translation Project</link> (Projeto de Tradução do GNOME).</p>
</page>
